## amlib.ccid
Class Reader4442

    java.lang.Object
      amlib.ccid.Reader
          amlib.ccid.Reader4442

    public class Reader4442

extends Reader

Field Summary

Fields inherited from class amlib.ccid.Reader
`CardModeASYNC, CardModeSLE4428, CardModeSLE4442, CCID_POWEROFF, CCID_POWERON, CCID_PROTOCOL_NA, CCID_PROTOCOL_T0, CCID_PROTOCOL_T1, SLOT_STATUS_CARD_ABSENT, SLOT_STATUS_CARD_ACTIVE, SLOT_STATUS_CARD_INACTIVE`

Constructor Summary
`Reader4442(HardwareInterface Dev)` Constructor
`Reader4442(HardwareInterface Dev, int slot)` Constructor with given slot number

Method Summary
`int` `SLE4442Cmd_ReadMainMemory(byte bAddress, byte bReadLen, byte[] pReadData, int[] pReturnLen)`
`int` `SLE4442Cmd_UpdateMainMemory(byte bAddress, byte bData)`
`int` `SLE4442CmdCompareVerificationData(byte bAddress, byte bData)`
`int` `SLE4442CmdReadProtectionMemory(byte bReadLen, byte[] pReadData, int[] pIntReturnLen)`
`int` `SLE4442CmdReadSecurityMemory(byte bReadLen, byte[] pReadData, int[] pIntReturnLen)`
`int` `SLE4442CmdUpdateSecurityMemory(byte bAddress, byte bData)`
`int` `SLE4442CmdWriteProtectionMemory(byte bAddress, byte bData)`

Methods inherited from class amlib.ccid.Reader
`close, connect, destroy, escape, getAtr, getAtrString, getCardStatus, getCmdFailCode, getCurrentDev, getProtocol, getSN, setPower, setSlot, switchMode, transmit`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reader4442

    public Reader4442(HardwareInterface Dev)
               throws java.lang.IllegalArgumentException,
                      ReaderException

  Constructor

  Parameters:
    `Dev` -
  Throws:
    `java.lang.IllegalArgumentException`
    `ReaderException`
  See Also:
    `ReaderException`

### Reader4442

    public Reader4442(HardwareInterface Dev,
                      int slot)
               throws java.lang.IllegalArgumentException,
                      ReaderException

  Constructor with given slot number

  Parameters:
    `Dev` -
    `slot` - slot number
  Throws:
    `java.lang.IllegalArgumentException`
    `ReaderException`
  See Also:
    `ReaderException`

Method Detail

### SLE4442Cmd_ReadMainMemory

    public int SLE4442Cmd_ReadMainMemory(byte bAddress,
                                         byte bReadLen,
                                         byte[] pReadData,
                                         int[] pReturnLen)

### SLE4442Cmd_UpdateMainMemory

    public int SLE4442Cmd_UpdateMainMemory(byte bAddress,
                                           byte bData)

### SLE4442CmdReadProtectionMemory

    public int SLE4442CmdReadProtectionMemory(byte bReadLen,
                                              byte[] pReadData,
                                              int[] pIntReturnLen)

### SLE4442CmdWriteProtectionMemory

    public int SLE4442CmdWriteProtectionMemory(byte bAddress,
                                               byte bData)

### SLE4442CmdReadSecurityMemory

    public int SLE4442CmdReadSecurityMemory(byte bReadLen,
                                            byte[] pReadData,
                                            int[] pIntReturnLen)

### SLE4442CmdUpdateSecurityMemory

    public int SLE4442CmdUpdateSecurityMemory(byte bAddress,
                                              byte bData)

### SLE4442CmdCompareVerificationData

    public int SLE4442CmdCompareVerificationData(byte bAddress,
                                                 byte bData)